
From: "Martin J. Bligh" <mbligh@aracnet.com>

Fix up NUMA-Q build with new generic apic mode stuff



 25-akpm/include/asm-i386/mach-numaq/mach_apic.h |   12 ++++++++++++
 1 files changed, 12 insertions(+)

diff -puN include/asm-i386/mach-numaq/mach_apic.h~generic-subarch-numaq-fix include/asm-i386/mach-numaq/mach_apic.h
--- 25/include/asm-i386/mach-numaq/mach_apic.h~generic-subarch-numaq-fix	Fri May  2 14:08:14 2003
+++ 25-akpm/include/asm-i386/mach-numaq/mach_apic.h	Fri May  2 14:08:14 2003
@@ -1,6 +1,9 @@
 #ifndef __ASM_MACH_APIC_H
 #define __ASM_MACH_APIC_H
 
+#include <asm/io.h>
+#include <linux/mmzone.h>
+
 #define APIC_DFR_VALUE	(APIC_DFR_CLUSTER)
 
 #define TARGET_CPUS (0xf)
@@ -103,4 +106,13 @@ static inline int check_phys_apicid_pres
 	return (1);
 }
 
+#define APIC_ID_MASK (0xF<<24)
+
+static inline unsigned get_apic_id(unsigned long x)
+{
+	        return (((x)>>24)&0x0F);
+}
+
+#define         GET_APIC_ID(x)  get_apic_id(x)
+
 #endif /* __ASM_MACH_APIC_H */

_
